function [alph]=DoL_damage1_C(B,C,D,t0,t,Sc,R0,alph0,k)

%Foschi & Yao model (1986), constant load between t0 and t.

eta=0.5;
alph=alph0;

if Sc>eta*min(R0)
    
    kap=exp(C*(Sc./R0-eta).^D*(t-t0)); 
    lam=k*(B+1)./(C*R0*(1-eta)^(B+1)).*(Sc./R0-eta).^(B-D);

    alph=kap.*alph+kap.*lam-lam; %Equation solved for constant load

end

if isnan(alph)==1 %causes failure if 0/0 happens
    alph=1.1;
end























